%define module pycurl
# we don't want to provide private python extension libs
%define __provides_exclude_from ^(%{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so)$
 
Summary:       A Python interface to libcurl
Name:          python-curl
Version:       7.43.0
Release:       %mkrel 1
Group:         Development/Python
License:       LGPLv2+
URL:           http://pycurl.sourceforge.net
Source0:       https://pypi.python.org/packages/source/p/pycurl/%{module}-%{version}.tar.xz
Patch0:        pycurl-7.19.5.3-link.patch 
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: lib64curl-devel
BuildRequires: openssl-devel
Obsoletes:     python-pycurl < %{version}-%{release}
Provides:      python-pycurl = %{version}-%{release}
Provides:      python2-pycurl = %{version}-%{release}
Provides:      python2-curl = %{version}-%{release}

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%package -n python3-curl
Summary:       A Python interface to libcurl for Python 3
Group:         Development/Python
Provides:      python3-pycurl = %{version}-%{release}

%description -n python3-curl
PycURL is a Python3 interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn %{module}-%{version}
%patch0 -p1

cp -a . %{py3dir}

%build
export CFLAGS="%{optflags}"
%{__python2} setup.py docstrings
%{__python2} setup.py --with-ssl build
pushd %{py3dir}
%{__python3} setup.py docstrings
%{__python3} setup.py --with-ssl build 
popd

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python2_sitearch}
%{__python2} -c 'import %{module}; print(%{module}.version)'
pushd %{py3dir}
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch}
%{__python3} -c 'import %{module}; print(%{module}.version)'
popd

%install
%{__python2} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
popd
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 

%files
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python2_sitearch}/*


%files -n python3-curl
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python3_sitearch}/*


%changelog
* Wed Feb 07 2018 yodelu <yodelu> 7.43.0-1.pclos2018
+ update

